Soporte » Plugins y Hacks » WooCommerce » Woocommerce tiene conflicto con Elementor

  • Hola,

    Elementor no me funciona si tengo activado Woocommerce. ¿Alguien sabe qué puedo hacer para poder solucionarlo? ambos son las versiones más recientes. La plantilla que tengo activa ahora mismo es Astra.

    Un saludo

    La página con la que necesito ayuda: [accede para ver el enlace]

Viendo 8 respuestas - 1 de 8 (de 8 total)
  • Hola @anafreimar

    Que yo sepa puedes usar los dos plugins perfectamente.
    Como has deducido que tienes ese conflicto y no por ejemplo con el Astra

    Hola,

    Pues leí en la ayuda que te da para tratar de descubrir el problema, que lo primero a hacer era desactivar todos los plugins y activarlos poco a poco hasta que viese con cuál me fallaba. Hice lo propio. Desactivé todo y a medida que iba activando uno por uno iba a una página y trataba de editarla con el botón de «editar con Elementor», y el Elementor se me abría con todos hasta que llegué al plugin de Woocommerce. Cuando activé ese el Elementor me volvió a dar el fallo de que no se podía abrir.

    Ahora ya no se cuál es el siguiente paso… ¿puede ser la plantilla de Astra la que esté dando problemas? sería igual de raro que que los dé el Woocommerce si parece ser que Elementor funciona de forma integrada con las dos cosas. Si queréis darme alguna orientacón….

    Gracias

    Hola @anafreimar

    Haz una cosa, cambia el theme por el predeterminado y desactiva todos los plugins salvo el Elementor y el WooCommerce, compruebas si funciona, activa el theme, y sigues haciendolo con los plugins que te queden por activar. Obviamente en cada activacion comprueba que funciona.

    Elementor free no es compatible con WooCommerce. Ese es el problema.

    Hola @esthercoach
    Lamento decirte que estas equivocada.
    En la propia documentacion de elementor veras que es compatible en las dos versiones y decirlo asi solo trae confusion a los demas.

    https://docs.elementor.com/article/176-is-elementor-compatible-with-woocommerce-and-easy-digital-downloads

    Otra cosa es que el theme o complemento extra del elementor no lo sea y pienses que es elementor cuando no lo es en realidad. No todos los themes, plugins, complementos del elementor son o pueden ser compatibles con el WooCommerce y por eso se tiene que leer bien la documentacion o buscarlo para saber si es o no compatible entre si.

    Y para acabar, tambien te puedes encontrar con algun issue (error) en algun momento pero se debe comunicar con los desarrolladores para que lo solucionen si realmente es por el plugin, etc… Cuando interactuan diferentes codigos de diferentes autores cabe la posibilidad de que suceda y eso no es que no sea compatible si no que cuando hicieron pruebas no vieron ese issue, ya que hay infinidad de posibilidades de themes, plugins y configuraciones.

    Saludos

    kallookoo,
    primero, gracias por tu puntualización. La verdad es que llevo desde ayer investigando sobre esto y por eso he llegado esta mañana a la conclusión, por este post

    https://docs.elementor.com/article/245-preview-could-not-be-loaded?utm_source=editor-panel&utm_medium=wp-dash&utm_campaign=learn

    de que no son compatibles, ya que en el texto resaltado un poco más abajo de la imagen, el propio Elementor indica que si se tiene este problema con WC, tenemos que usar el WC Builder etc… Al ir al enlace que indican, verás que dice Creando un WooCommerce con Elementor Pro.

    En fin, todo lo que he ido mirando desde ayer parecía indicarme que así era, pero tienes razón. No sé para qué me meto donde no me llaman. No tengo la experiencia que tú seguramente tienes y sabrás mejor. Lo que yo trataba era de ayudar, ya que la persona que puso este ticket no había concretado si usaba uno u otro, y pensé que hacía bien en aclarar… lo que parece que ni yo misma tenía tan claro.

    Disculpas mil y gracias por tus aclaraciones.
    Feliz resto de semana
    Esther

    Hola @esthercoach
    Toda ayuda es buena y todos nos podemos equivocar o estar confundidos y no tienes porque disculparte, nadie nace sabiendo, como tu indicas en el enlace para ese caso comentan que se use la version pro pero tambien comentan otros motivos externos al plugin.

    Bueno, saludos y espero que podais solucionar el tema.

    Los que no somos expertos a veces nos infoxicamos con tanta información disponible en internet y terminamos convencidos de cosas que no son. Qué le vamos a hacer. Es parte del proceso de aprendizaje.

    Gracias por tu mensaje!

Viendo 8 respuestas - 1 de 8 (de 8 total)
  • Debes estar registrado para responder a este debate.